{% load static %}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>ChatBot</title>
    <!--fontStyle-->
    <link href="https://fonts.googleapis.com/css?family=Josefin+Sans" rel="stylesheet">
    <!--end-->
    <link href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet"
          integrity="sha384-wvfXpqpZZVQGK6TAh5PVlGOfQNHSoD2xbE+QkPxCAFlNEevoEH3Sl0sibVcOQVnN" crossorigin="anonymous">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
    <link href="https://fonts.googleapis.com/css?family=Vibur" rel="stylesheet">
    <!-- jQuery library -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <!-- Latest compiled JavaScript -->
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
    <!--css stle-->
    <link rel="stylesheet" href="{% static 'style2.css' %}" type="text/css">
    <!--end-->
</head>
<body id="body">
<div class="container">
    <div class="row header">
        <i class="fa fa-comments"></i>
        <h2>Chat</h2>
    </div>
    {% for message in conversation.messages.all %}
        <div class="row">
            {% if message.from_bot %}
                <div class="panel-group chatbot">
                    <div class="panel panel-default">
                        <div class="panel-heading">
                            <img src="{% static 'images/robot.png' %}">
                            <span class="time">11:00 AM</span>
                        </div>
                        <div class="panel-body">
                            <p> {{ message.text|safe }}</p>
                        </div>
                    </div>
                </div>
            {% else %}
                <div class="panel-group user">
                    <div class="panel panel-default">
                        <div class="panel-heading">
                            <img src="{% static 'images/user1.png' %}">
                            <span class="time">11:01 AM</span>
                        </div>
                        <div class="panel-body">
                            <p> {{ message.text|safe}}</p>
                        </div>
                    </div>
                </div>
            {% endif %}
        </div>
    {% endfor %}
</div>
<div class="container">
    <div class="row chat">
        <form method="POST">
            {% csrf_token %}
            <textarea name="message" placeholder="Type here!" rows="4" cols="20"></textarea>
            <button type="submit" value="send" class="btn btn-info btn-lg btn-block">send</button>
        </form>
    </div>
</div>
</body>
</html>